<!doctype html>
<html>
<head>
    <title>Domain Fronting Is Critical to the Open Web | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Domain Fronting Is Critical to the Open Web | Tor Project">
    <meta property="og:description" content="Google and Amazon are ending domain fronting. What’s next?">
    <meta property="og:image" content="https://blog.torproject.org/domain-fronting-critical-open-web/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/domain-fronting-critical-open-web/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Domain Fronting Is Critical to the Open Web
      </h1>
    <p class="meta">by steph | May 4, 2018</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p> </p>
<p>In the past few weeks, Amazon and Google have both announced they’re pulling the plug on domain fronting, a crucial tool which helps our most vulnerable users get access to Tor when their countries don’t allow it. Users of <a href="https://signal.org/blog/looking-back-on-the-front/">Signal</a> and <a href="https://www.bloomberg.com/view/articles/2018-05-03/telegram-block-gets-help-from-google-and-amazon">Telegram</a> are also affected by this block, and <a href="https://www.accessnow.org/google-ends-domain-fronting-a-crucial-way-for-tools-to-evade-censors/">Access Now identified</a> approximately a dozen “human rights-enabling technologies” which had relied on Google for this purpose.</p>
<p><a href="https://www.torproject.org/download">Tor Browser</a> protects against tracking, surveillance, and censorship, but not everyone around the world has the luxury to connect to use it. By default, Tor Browser makes all of its users look alike. However, it doesn't hide the fact you're connecting to Tor, an open network where anyone can get the list of relays. This network transparency has many benefits, but also has a downside: repressive governments and authorities can simply get the list of Tor relays and block them. We strongly oppose this censorship and believe everyone should have access to information on the open web. That’s why we developed pluggable transports to bypass censorship and connect to the Tor network. <a href="https://www.youtube.com/watch?v=DkEqWGF3cvg">Watch this video to learn more about pluggable transports</a>.</p>
<p>Domain fronting is a type of pluggable transport where Tor traffic appears to be talking to a third party that is hard to block, like Amazon or Google, when it is really talking to a Tor relay. An example of this is Tor’s “meek” pluggable transport, which is described <a href="https://trac.torproject.org/projects/tor/wiki/doc/meek">here</a>.</p>
<p>Google and Amazon have both shut down domain fronting, making meek no longer usable over those CDNs. As of this writing, Microsoft’s Azure cloud still seems to be working with meek.</p>
<p>For the time being, we are shifting to Microsoft’s Azure cloud. But we’ve heard that option will soon be shut down, as well.</p>
<p>Unfortunately, it doesn’t look like there is a fast fix. We were not given advance notice of these changes, so we are thinking hard on potential solutions to ensure our friends living in repressive regimes around the world can continue to access the open web.</p>
<p> </p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-275125"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275125" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275125">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275125" class="permalink" rel="bookmark">Snowflake is the future! …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><strong>Snowflake is the future!</strong>  <a href="https://trac.torproject.org/projects/tor/wiki/doc/Snowflake" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/Snowflake</a></p>
<p>How to run snowflake proxies: <a href="https://trac.torproject.org/projects/tor/wiki/doc/Snowflake#HowtorunaSnowflakeproxy" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/Snowflake#HowtorunaSn…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275141"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275141" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>anon (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275125" class="permalink" rel="bookmark">Snowflake is the future! …</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275141">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275141" class="permalink" rel="bookmark">Snowflake still requires…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Snowflake still requires domain fronting to access the broker.<br />
Shown in this digram.<br />
<a href="https://trac.torproject.org/projects/tor/attachment/wiki/doc/Snowflake/snowflake-schematic.png" rel="nofollow">https://trac.torproject.org/projects/tor/attachment/wiki/doc/Snowflake/…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275151"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275151" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275141" class="permalink" rel="bookmark">Snowflake still requires…</a> by <span>anon (not verified)</span></p>
    <a href="#comment-275151">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275151" class="permalink" rel="bookmark">If you&#039;re following the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you're following the latest trac tickets you'd know that there are non-fronting methods such as DNS-over-HTTPS for communicating with the broker ;)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275193"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275193" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anon (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275151" class="permalink" rel="bookmark">If you&#039;re following the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275193">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275193" class="permalink" rel="bookmark">Thank you for the helpful…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you for the helpful info, I did not know that. :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-275176"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275176" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275125" class="permalink" rel="bookmark">Snowflake is the future! …</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275176">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275176" class="permalink" rel="bookmark">A scottish team of engineers…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A scottish team of engineers is attempting to solve all of this by developing the SAFEnetwork. If someone can help them solve eventual consistency in a decentralized network with a high degree of node churn, then we can migrate the existing web over to a highly anonymous system with none of the current weakness of Tor. Problem solved.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275181"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275181" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275176" class="permalink" rel="bookmark">A scottish team of engineers…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275181">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275181" class="permalink" rel="bookmark">Sounds wonderful, but…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sounds wonderful, but clearly TP cannot put all its eggs in one untested and even undeveloped basket.</p>
<p>I do wish TP had been putting some effort (even a good deal of effort) all these years into developing contingency plans for foreseeable disasters such as the demise of domain fronting.</p>
<p>To be sure, TP is a tiny organization with few resources, but it now seems clear that those of us who have been urging dramatic reprioritization taking full account of political and legal as well as technical attacks on the Tor Network, have been proven correct.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275197"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275197" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275176" class="permalink" rel="bookmark">A scottish team of engineers…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275197">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275197" class="permalink" rel="bookmark">&gt; A scottish team of…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; A scottish team of engineers</p>
<p>IMHO Scotland should have left the UK, not the EU, but as things stand, it seems to me that Scottish engineers face even more dire threats from UK surveillance laws than American engineers face from US surveillance laws.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-275126"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275126" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Iranitor (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275126">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275126" class="permalink" rel="bookmark">A very nice gift from Amazon…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>A very nice gift from Amazon AWS and Google to Russia, China, Iran and the rest of the oppressive regimes.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275127"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275127" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275126" class="permalink" rel="bookmark">A very nice gift from Amazon…</a> by <span>Iranitor (not verified)</span></p>
    <a href="#comment-275127">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275127" class="permalink" rel="bookmark">Russia, China, Iran and the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>Russia, China, Iran and the rest of the oppressive regimes.</p></blockquote>
<p>All countries are oppressive, with different shades of oppression, but let's stop blaming some governments and work on by design solutions.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275157"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275157" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>aie (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275127" class="permalink" rel="bookmark">Russia, China, Iran and the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275157">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275157" class="permalink" rel="bookmark">Domain Fronting : i do not…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Domain Fronting : i do not understand the subject !<br />
will you please explain clearly, step by step, in details, in what and why it is important ?<br />
Design solution ? does it not start by a better involvement in the innovation, free-hardware unlocked chip/processor etc.<br />
* i do not care of linus torwald_his time is over (has-been).<br />
* no , all the countries are not oppressive and iran/russia/china are not the worst (misinformation) ,   the oppression is a subtle game (a nice article about cuba on this blog yet spoke about how  a government manages the freedom).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275182"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275182" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275157" class="permalink" rel="bookmark">Domain Fronting : i do not…</a> by <span>aie (not verified)</span></p>
    <a href="#comment-275182">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275182" class="permalink" rel="bookmark">&gt; does it not start by a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; does it not start by a better involvement in the innovation, free-hardware unlocked chip/processor etc.</p>
<p>You are surely correct that the electronics industry should have been concerned with security from the start, and should have started by securing the "bare metal", then working up to higher layers.  However, such programs are clearly far beyond the means of a tiny organization (Tor Project) to even attempt to address.   They are far beyond the means of all but a handful of nation states to address--- and those are precisely the ones which desire global insecurity, because this helps them cling to the reigns of power.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275183"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275183" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275157" class="permalink" rel="bookmark">Domain Fronting : i do not…</a> by <span>aie (not verified)</span></p>
    <a href="#comment-275183">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275183" class="permalink" rel="bookmark">&gt; Domain Fronting : I do not…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Domain Fronting : I do not understand the subject!  Will you please explain clearly, step by step, in detail, what [it is] and why it is important?</p>
<p>A bit of frosting on the cloud which now hangs over our future: answering this question for reporters may provide an opportunity for TP to reach out the media, and perhaps garner an opportunity for a less one-sided portrait of our community by helping reporters to explain domain fronting for their readers?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-275130"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275130" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275126" class="permalink" rel="bookmark">A very nice gift from Amazon…</a> by <span>Iranitor (not verified)</span></p>
    <a href="#comment-275130">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275130" class="permalink" rel="bookmark">It&#039;s not a gift. They suck.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's not a gift. They suck.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275142"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275142" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Educated (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275126" class="permalink" rel="bookmark">A very nice gift from Amazon…</a> by <span>Iranitor (not verified)</span></p>
    <a href="#comment-275142">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275142" class="permalink" rel="bookmark">Please educate yourself…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please educate yourself. Thank you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275186"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275186" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275142" class="permalink" rel="bookmark">Please educate yourself…</a> by <span>Educated (not verified)</span></p>
    <a href="#comment-275186">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275186" class="permalink" rel="bookmark">&gt; Please educate yourself.
…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Please educate yourself.</p>
<p>But to do that we need to have Tor, and very soon, we may no longer have Tor.  And we have nothing to replace it (nothing usable by average blokes for general self-educational purposes, that is.)</p>
<p>One point to note about the demise of domain-fronting is that some portions of USG may still be reluctant to reveal USG as an oppressive government, and may prefer to pressure critical global corporations like Google and Amazon to do their dirty work for them.  That is exactly what the governments of CN, RU, and others have been doing, so we ought to expect more of the same.</p>
<p>The goal of all these governments is to make Tor effectively illegal, or effectively unusable, in some combination.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-275174"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275174" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>konservokouti (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275126" class="permalink" rel="bookmark">A very nice gift from Amazon…</a> by <span>Iranitor (not verified)</span></p>
    <a href="#comment-275174">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275174" class="permalink" rel="bookmark">y right, these three have…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>y right, these three have invaded 70 countries. Someone to teach them a lesson please <a href="https://www.countercurrents.org/polya050713.htm" rel="nofollow">https://www.countercurrents.org/polya050713.htm</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-275128"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275128" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275128">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275128" class="permalink" rel="bookmark">This is all because of the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is all because of the Telegram block in Russia in which Russia blocked millions of Amazon IPs which pissed the hell out of them off. That's why we can't haz nice things</p>
<p>Russia FSB 1 - US SillyValley Corporates 0</p>
<p>Even China itself - author of the GREAt firewall of China - didn't attempt such crazy thing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275132"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275132" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275128" class="permalink" rel="bookmark">This is all because of the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275132">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275132" class="permalink" rel="bookmark">Well they took down on…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well they took down on Crimea you think they won't be able to take down on a few IP addresses? They're even controlling the US senate now and have dirty 'kompromat' on the US president and you think they can't control their Internet? To be honest Russia just screwed up domain fronting for the lulz and guess whose losing? Not Putin - he still has 90% of votes - but your regular average guy who wants to hide his Tor activity or the UAE lady who wants to communicate with her family abroad using Signal.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275160"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275160" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275132" class="permalink" rel="bookmark">Well they took down on…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275160">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275160" class="permalink" rel="bookmark">I can&#039;t believe otherwise…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I can't believe otherwise intelligent people really think Russia had anything to do with the 2016 election.  Do you think a dossier full of internet memes and lines from The Dark Knight Rises is really evidence?  Did you actually read the joke that was the Crowdstrike report?  Did you think there were weapons of mass destruction in Iraq?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-275133"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275133" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275128" class="permalink" rel="bookmark">This is all because of the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275133">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275133" class="permalink" rel="bookmark">From Russia with Love</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>From Russia with Love</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-275129"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275129" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275129">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275129" class="permalink" rel="bookmark">&gt; We were not given advance…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; We were not given advance notice of these changes, so we are thinking hard on potential solutions to ensure our friends living in repressive regimes around the world can continue to access the open web.<br />
Shame.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275131"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275131" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275131">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275131" class="permalink" rel="bookmark">None of these organizations…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>None of these organizations runs a relay, right?</p>
<p>So why would you have thought that they'd let you go on using them as entry points, once something brought it to their attention?</p>
<p>This is just one more thing added to a heap of things that make me think the "Tor model" isn't sustainable. Exits are already few, which makes them centralized, and will probably get more pressure that will make them fewer and more centralized. More and more "respectable" institutions seem to be trying to wash their hands of Tor, to the point of outright blocking all access via Tor. That's a postive feedback cycle; fewer "legitimate" supporters makes Tor look more disreputable, leading to more "legitimate" supporters leaving.</p>
<p>I'm starting to think that y'all should retool to some kind of P2P or F2F model where it's harder to know what's part of the network.</p>
<p>I'm also thinking you should stop trying to support access to services on the clearnet, and become more of a closed system like I2P. Clearnet support forces you to accept too many risks, and exits will always be a weak point in any attempt to decentralize further. I'm not even sure clearnet support does any favors for your users to begin with, because it encourages them to use highly surveilled centralized "mainstream" services instead of seeking out more secure alternatives.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275167"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275167" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275131" class="permalink" rel="bookmark">None of these organizations…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275167">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275167" class="permalink" rel="bookmark">Tor is already P2P and no…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor is already P2P and no F2F isn't the answer. F2F reduces the anonymity set for the users. There is no reason to hide where the middle relays are, nor the exits. The only reason to hide the guards is to support bridges.</p>
<p>Centralised vs decentralised is not the problem. The problem is trusted vs verified.</p>
<p>Tor would be perfectly fine with fewer exit nodes so long that it can still handle the load. This would promote mixing, but it'll trigger more DDoS mitigation tools with the extra load per IP.</p>
<p>If you want stronger anonymity: don't use tor, with many semi-trusted relays. Use a tight (centralised) set of verifiable mix nodes. This will add more latency and/or bandwidth overheads depending on which network you choose.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275175"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275175" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275167" class="permalink" rel="bookmark">Tor is already P2P and no…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275175">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275175" class="permalink" rel="bookmark">You&#039;re worrying about…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You're worrying about architecture to solve a problem... while politics are changing the problem underneath you.</p>
<p>A small number of exits gives you a better anonymity set ...<em>if they haven't all been shut down</em> (or compromised). A system where all the middle nodes are known gives you more path choices... <em>if everybody running a node hasn't been thrown off the Internet or arrested</em>.</p>
<p>When you sit and count possible paths, you're assuming a happy little world in which it's not illegal to run an exit, and not illegal to have anything at all to do with Tor. It looks like fewer and fewer people are going to be living in that world. Jurisdictional arbitrage will fall apart if there's no diversity between jurisdictions. Being stealthier might slow that down a bit; talking to the clearnet brings down heat.</p>
<p>Furthermore, no matter how many exit nodes you have, there are going to be fewer and fewer things that will accept connections from those exit nodes. In the end, you're not going to be able to provide access to the clearnet, because the clearnet is increasingly refusing to talk to you.</p>
<p>Rumblings about crackdowns on anonymity are everywhere, from private and public sources. Tor's been operating in a very easy environment for a very long time, but that doesn't seem likely to last.</p>
<p>As for hiding the exits, that's not even possible. If you didn't publish a list, it wouldn't be hard for somebody to compile one. Anyway, at the moment, assuming you're running an exit, it actually <em>helps</em> to be known as one, because it keeps people from attributing the traffic to you personally. A node that acted like a Tor exit without being one would be even worse off than an exit. But being known as an exit will stop helping if being an exit is grounds in itself to harm you.</p>
<p>The thing to do is to start getting ready to <em>eliminate</em> the exits. The outside world will shun you anyway, so stop worrying about communicating with it. Worry about surviving. Worry about hiding the <em>fact of participation</em>.</p>
<p>I don't know if it's even possible to do that, but it's definitely <em>impossible</em> if you connect directly to everything with a plausible claim to be a node, or let just anything confirm you as a participant. Hence F2F (or something like it).</p>
<p>A nonexistent network gives you <em>no</em> anonymity set. A large anonymity set gives you nothing if it's fatal to even be a member of the set.</p>
<p>Side issues:</p>
<p>Show me the math that says F2F reduces your anonymity set at all with long term repeated use in <em>any</em> network, given a realistic fraction of compromised nodes, a realistically distributed passive adversary, a realistic rate of new path creation, and a realistic rate of software bugs.</p>
<p>...and Tor isn't P2P. It has a handful of directory authorities, a few hundred relays, an unknown number of bridges, and a ton of pure client nodes. Yes, they all run the same software, but they're not all "peers" with one another in any meaningful sense. They're distinct classes of devices with distinct roles, and the pure clients are the vast majority. There are probably fewer Tor <em>relays</em> than Facebook has CDN nodes; are you going to say that Facebook is P2P?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-275134"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275134" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275134">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275134" class="permalink" rel="bookmark">“They&#039;re even controlling…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>“They're even controlling the US senate now”</p>
<p>What are you talking about? Is this crazy stuff or can you cite a source?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275161"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275161" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275134" class="permalink" rel="bookmark">“They&#039;re even controlling…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275161">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275161" class="permalink" rel="bookmark">Our distaste for President…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Our distaste for President Trump has apparently caused some of us to lose our minds.  We should not forget that the same media screaming about Russian collusion was screaming about WMDs in Iraq not that long ago.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-275135"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275135" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275135">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275135" class="permalink" rel="bookmark">Maybe we could consider…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Maybe we could consider using cloudflare or akamai for domain fronting? Those could heavily help here and this would be beneficial to all parties.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-275136"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275136" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275135" class="permalink" rel="bookmark">Maybe we could consider…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275136">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275136" class="permalink" rel="bookmark">Please see here,
https:/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Please see here,</p>
<p><a href="https://trac.torproject.org/projects/tor/wiki/doc/meek#Akamai" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/meek#Akamai</a></p>
<p><a href="https://trac.torproject.org/projects/tor/wiki/doc/meek#CloudFlare" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/doc/meek#CloudFlare</a></p>
<p>Cloudflare isn't as nice of a "make the Internet great again" as its clownish East Dakotan PR representatives make it seem.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275166"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275166" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-275135" class="permalink" rel="bookmark">Maybe we could consider…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-275166">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275166" class="permalink" rel="bookmark">CLoudflare is the worst to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>CLoudflare is the worst to use with TBB. And all these sites using cloudflare makes tracking even easier. Can you imagine? Cloudflare know each and every site you've visited!<br />
No.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-275137"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275137" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275137">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275137" class="permalink" rel="bookmark">From Iran with Love</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>From Iran with Love</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275139"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275139" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anony (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275139">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275139" class="permalink" rel="bookmark">This is great news, now TOR…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is great news, now TOR devs will have to accelerate other workable Tor Transports than relying on backdoor services.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275140"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275140" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonomouse (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275140">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275140" class="permalink" rel="bookmark">Digital ocean anyone?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Digital ocean anyone?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275147"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275147" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>robert (not verified)</span> said:</p>
      <p class="date-time">May 04, 2018</p>
    </div>
    <a href="#comment-275147">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275147" class="permalink" rel="bookmark">a nice action from google…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>a nice action from google and amazon :)<br />
now every anonymous ! cant cause silly works.the open internet should be safe from hackers attack , not be safe to attack others.<br />
Do you understand or think to destoring</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275153"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275153" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
    <a href="#comment-275153">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275153" class="permalink" rel="bookmark">&gt; We were not given advance…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; We were not given advance notice of these changes, so we are thinking hard on potential solutions to ensure our friends living in repressive regimes around the world can continue to access the open web.</p>
<p>But Tor Project was given plenty of warning, right here in this blog, that our enemies (particularly in USG) have been plotting sudden moves taken in the dead of night which will severely impact the Tor user community.  I hope TP will start taking such warnings seriously now, because there is a very real possibility that USG will go much further and literally outlaw unbackdoored encryption.  TP needs to have an emergency plan for an emergency response to that.  Note that other governments will be eager to follow the US lead, so I fear TP may face the choice of either ceasing to offer Tor, or else going underground and attempting to operate illegally.</p>
<p>You should not expect any advanced notice about the USG's next attack on Tor.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275154"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275154" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
    <a href="#comment-275154">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275154" class="permalink" rel="bookmark">It would be nice if Tor made…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It would be nice if Tor made a simple for layerpersons to read page describing the different pluggable transports... a user who wants to use them basically has to pick at random in the UI</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275156"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275156" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Kirill Dubovitskiy (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
    <a href="#comment-275156">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275156" class="permalink" rel="bookmark">ANTI-MITM concepthttp://i68…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>ANTI-MITM concept<br />
<a href="http://i68.tinypic.com/v4cbht.png" rel="nofollow">http://i68.tinypic.com/v4cbht.png</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275159"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275159" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
    <a href="#comment-275159">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275159" class="permalink" rel="bookmark">Sorry, I want to ask is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry, I want to ask is there an onion link for blog.torproject.org? I cannot find one in <a href="http://yz7lpwfhhzcdyc5y.onion/" rel="nofollow">http://yz7lpwfhhzcdyc5y.onion/</a>. Thanks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275162"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275162" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>shom (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
    <a href="#comment-275162">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275162" class="permalink" rel="bookmark">It is sad to see that these…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It is sad to see that these companies , who could have just shown the middle finger and ignored the begging states, didn't use their deep pockets and big infrastructure to stand up for oppressed citizens in need.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275163"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275163" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Pedant 123 (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
    <a href="#comment-275163">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275163" class="permalink" rel="bookmark">It&#039;s not really that they&#039;re…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's not really that they're "hard to block", they're undesirable to block because it'd make your citizens unhappy.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275165"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275165" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 05, 2018</p>
    </div>
    <a href="#comment-275165">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275165" class="permalink" rel="bookmark">Team up with Mozilla or…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Team up with Mozilla or Wikipedia and use their domain.</p>
<p>aus1.mozilla.org<br />
en.wikipedia.org</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275169"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275169" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 06, 2018</p>
    </div>
    <a href="#comment-275169">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275169" class="permalink" rel="bookmark">From China with Love.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>From China with Love.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275173"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275173" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Karl Marx (not verified)</span> said:</p>
      <p class="date-time">May 06, 2018</p>
    </div>
    <a href="#comment-275173">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275173" class="permalink" rel="bookmark">Is anyone really surprised…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is anyone really surprised by this? Such corporations will almost always put their own interests, the interests of capital, above human needs and human rights. Meek transports are ABSOLUTELY CRUCIAL currently to Chinese Tor users and Chinese dissidents. I cannot say that I am surprised but I am beyond infuriated!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275177"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275177" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 07, 2018</p>
    </div>
    <a href="#comment-275177">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275177" class="permalink" rel="bookmark">Maybe duckduckgo, apple,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Maybe duckduckgo, apple, hitachi, cisco, facebook, a company of elon musk or twitter could assist?</p>
<p>Just throwing this out there, but it might help.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275219"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275219" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 09, 2018</p>
    </div>
    <a href="#comment-275219">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275219" class="permalink" rel="bookmark">The initial &quot;spin&quot; in early…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The initial "spin" in early news reports about the demise of domain fronting were quite hostile to anonymity providers, but the second round is more balanced:</p>
<p>techdirt.com<br />
Bad Decisions: Google Screws Over Tools Evading Internet Censorship Regimes<br />
from the who's-fronting-now? dept</p>
<p>dailybeast.com<br />
Google Just Made Things a Lot Easier for Censors<br />
Google and Amazon have banned domain fronting, a key technique for hiding cybercrimes—and evading censorship, too. Millions of people can kiss their secure communications goodbye.<br />
Kimberly Zenz<br />
8 May 2018</p>
<p>gizmodo.com.au<br />
A Recent Update From Google Could Severely Hamper Anti-Censorship Tools<br />
AJ Dellinger<br />
20 Apr 2018</p>
<p>zdnet.com<br />
Amazon's AWS just kicked some censorship-evading apps to the curb<br />
Domain fronting helps apps evade censorship, but hackers use it to obfuscate where their malware comes from.<br />
Zack Whittaker</p>
<p>Wired's initial coverage of the end of domain fronting was not friendly but an older article actually praises Signal for using domain fronting:</p>
<p>wired.com<br />
Encryption App 'Signal' Fights Censorship With a Clever Workaround<br />
Andy Greenberg<br />
21 Dec 2016</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-275229"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-275229" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 09, 2018</p>
    </div>
    <a href="#comment-275229">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-275229" class="permalink" rel="bookmark">For those thinking about…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>For those thinking about preparing for the potential emergency use of off-line mechanical cryptosystems which are (much!) less insecure than ancient field ciphers such as the Playfair cipher, see:</p>
<p><a href="https://eprint.iacr.org/2017/339" rel="nofollow">https://eprint.iacr.org/2017/339</a></p>
<p>Anyone have links to current projects to develop citizen networks for decentralized urban area communication which is independent of government or corporate control?  Badly needed in cities like NYC, Moscow, etc.</p>
<p>As further evidence (not really needed) that no-one can trust the big telecoms:</p>
<p>techdirt.com<br />
AT&amp;T Stumbles As It Tries To Explain Why It Paid $200K To Cohen's Shady Shell Company<br />
Karl Bode<br />
9 May 2018</p>
<p>Speaking of backdoors in encryption devices:</p>
<p><a href="https://www.schneier.com/blog/archives/2018/05/virginia_beach_.html" rel="nofollow">https://www.schneier.com/blog/archives/2018/05/virginia_beach_.html</a><br />
Virginia Beach Police Want Encrypted Radios</p>
<p>&gt; This article says that the Virginia Beach police are looking to buy encrypted radios.<br />
&gt;<br />
&gt;    Virginia Beach police believe encryption will prevent criminals from listening to police communications. They said officer safety would increase and citizens would be better protected.<br />
&gt;<br />
&gt; Someone should ask them if they want those radios to have a backdoor. </p>
<p>:-)</p>
<p>Seriously, given such recent cases as Baltimore and NYPD officers convicted of running criminal shakedown schemes, the cops and a serving Marine recently discovered amongst the ranks of violent neo-Nazi extremist groups in Florida and Michigan, the arrest of a former cop as a serial killer, etc., etc., the FBI would no doubt insist that they have a backdoor into any device issued to local or state police.   But on grounds of "national security" they will demand an exemption for themselves, of course.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
